{% autoescape false %}
[{{ hostName }}]
prefix  = {{ homeDir }}
chdir   = {{ homeDir }}
user    = {{ ownerUser }}
group   = {{ ownerGroup }}

request_terminate_timeout = {{ requestTimeout }}

listen          = php-fpm-{{ phpVersion }}.sock
listen.owner    = www-data
listen.group    = www-data
listen.mode     = 0660

pm                      = dynamic
pm.max_children         = {{ maxProcesses }}
pm.start_servers        = 1
pm.min_spare_servers    = 1
pm.max_spare_servers    = 5
pm.max_requests         = 200

clear_env       = no
env[HOSTNAME]   = $pool
env[TMP]        = {{ homeDir }}/tmp
env[TMPDIR]     = {{ homeDir }}/tmp
env[TEMP]       = {{ homeDir }}/tmp

php_admin_value[error_log] = {{ homeDir }}/logs/php-error.log
php_admin_value[session.save_path] = {{ homeDir }}/tmp/
php_admin_value[upload_tmp_dir] = {{ homeDir }}/tmp/
php_admin_value[sys_temp_dir] = {{ homeDir }}/tmp/
php_admin_value[opcache.lockfile_path] = {{ homeDir }}/tmp/
php_admin_value[soap.wsdl_cache_dir] = {{ homeDir }}/tmp/
php_admin_value[max_input_vars] = 10000
php_admin_value[max_execution_time] = {{ requestTimeout }}
php_admin_value[max_input_time] = {{ requestTimeout }}
php_admin_value[memory_limit] = {{ memoryLimit }}M
{% endautoescape %}
